Bug 1665073 - On hosts add collectd write_syslog plugin dependency
Summary: On hosts add collectd write_syslog plugin dependency
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-distribution
Classification: oVirt
Component: ovirt-host
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ovirt-4.3.1
: ---
Assignee: Sandro Bonazzola
QA Contact: Pavel Novotny
URL:
Whiteboard:
Depends On: 1667417
Blocks: 1615974 1678180
TreeView+ depends on / blocked
 
Reported: 2019-01-10 13:14 UTC by Shirly Radco
Modified: 2019-04-11 11:52 UTC (History)
7 users (show)

Fixed In Version: ovirt-host-4.3.1-1
Doc Type: Enhancement
Doc Text:
In this release, the write_syslog collectd plugin is now automatically installed on managed hosts for metrics store support.
Clone Of:
Environment:
Last Closed: 2019-03-26 07:19:15 UTC
oVirt Team: Integration
Embargoed:
rule-engine: ovirt-4.3+
lleistne: testing_ack+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 97819 0 master MERGED spec: require collectd-write_syslog where available 2019-02-18 10:35:43 UTC

Description Shirly Radco 2019-01-10 13:14:02 UTC
Description of problem:
In order to replace fluentd with rsyslog we require the new write_rsyslog collectd plugin on the engine and hosts/appliance. Related to bug #1615974

Comment 1 Sandro Bonazzola 2019-01-10 13:48:48 UTC
requested plugin is pending review on upstream collectd repository: https://github.com/collectd/collectd/pull/3019
There isn't an easy way to consume it for now.

Comment 2 Pavel Novotny 2019-03-22 12:15:17 UTC
Verified in ovirt-host-4.3.1-1.el7ev.x86_64

collectd-write_syslog package is now in the dependencies.

# rpm -qR ovirt-host-dependencies | grep collectd
collectd
collectd-disk
collectd-netlink
collectd-virt
collectd-write_http
collectd-write_syslog

Comment 3 Sandro Bonazzola 2019-03-26 07:19:15 UTC
This bugzilla is included in oVirt 4.3.1 release, published on February 28th 2019.

Since the problem described in this bug report should be
resolved in oVirt 4.3.1 release, it has been closed with a resolution of CURRENT RELEASE.

If the solution does not work for you, please open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.